Bug 223641 - [patch] ANSIfy sys/libkern
Summary: [patch] ANSIfy sys/libkern
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: kern (show other bugs)
Version: CURRENT
Hardware: Any Any
: --- Affects Only Me
Assignee: Ed Maste
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2017-11-13 05:45 UTC by ota
Modified: 2018-10-21 00:53 UTC (History)
1 user (show)

See Also:


Attachments
ANSY prototypes for sys/libkern files (7.33 KB, patch)
2017-11-13 05:45 UTC, ota
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description ota 2017-11-13 05:45:53 UTC
Created attachment 187953 [details]
ANSY prototypes for sys/libkern files

Convert to ANSI prototype style for sys/libkern files.
I created on 12-CURRENT.
I excluded libz file as it looked a clone of external library.
Comment 1 commit-hook freebsd_committer 2017-11-19 00:31:23 UTC
A commit references this bug:

Author: emaste
Date: Sun Nov 19 00:31:16 UTC 2017
New revision: 325988
URL: https://svnweb.freebsd.org/changeset/base/325988

Log:
  ANSIfy sys/libkern

  PR:		223641
  Submitted by:	ota@j.email.ne.jp
  MFC after:	1 week

Changes:
  head/sys/libkern/ashrdi3.c
  head/sys/libkern/bcmp.c
  head/sys/libkern/bsearch.c
  head/sys/libkern/cmpdi2.c
  head/sys/libkern/divdi3.c
  head/sys/libkern/lshrdi3.c
  head/sys/libkern/mcount.c
  head/sys/libkern/moddi3.c
  head/sys/libkern/qdivrem.c
  head/sys/libkern/random.c
  head/sys/libkern/scanc.c
  head/sys/libkern/strcmp.c
  head/sys/libkern/strlcat.c
  head/sys/libkern/strsep.c
  head/sys/libkern/strtol.c
  head/sys/libkern/strtoul.c
  head/sys/libkern/ucmpdi2.c
  head/sys/libkern/udivdi3.c
  head/sys/libkern/umoddi3.c
Comment 2 Ed Maste freebsd_committer 2017-11-21 01:25:42 UTC
This change prompted a discussion on the svn mailing list, see the thread at https://lists.freebsd.org/pipermail/svn-src-all/2017-November/153958.html
Comment 3 Eitan Adler freebsd_committer freebsd_triage 2018-05-23 10:27:08 UTC
batch change of PRs untouched in 2018 marked "in progress" back to open.
Comment 4 commit-hook freebsd_committer 2018-10-21 00:21:25 UTC
A commit references this bug:

Author: emaste
Date: Sun Oct 21 00:20:45 UTC 2018
New revision: 339510
URL: https://svnweb.freebsd.org/changeset/base/339510

Log:
  ANSIfy libc/quad

  Some of these routines exist in both lib/libc/quad/ and sys/libkern/.
  r325988 ANSIfied sys/libkern.  Update libc/quad to match.

  PR:		223641
  Reported by:	bde
  Sponsored by:	The FreeBSD Foundation

Changes:
  head/lib/libc/quad/adddi3.c
  head/lib/libc/quad/anddi3.c
  head/lib/libc/quad/ashldi3.c
  head/lib/libc/quad/ashrdi3.c
  head/lib/libc/quad/cmpdi2.c
  head/lib/libc/quad/divdi3.c
  head/lib/libc/quad/fixdfdi.c
  head/lib/libc/quad/fixunsdfdi.c
  head/lib/libc/quad/floatdidf.c
  head/lib/libc/quad/floatdisf.c
  head/lib/libc/quad/floatunsdidf.c
  head/lib/libc/quad/iordi3.c
  head/lib/libc/quad/lshldi3.c
  head/lib/libc/quad/lshrdi3.c
  head/lib/libc/quad/moddi3.c
  head/lib/libc/quad/muldi3.c
  head/lib/libc/quad/negdi2.c
  head/lib/libc/quad/notdi2.c
  head/lib/libc/quad/qdivrem.c
  head/lib/libc/quad/subdi3.c
  head/lib/libc/quad/ucmpdi2.c
  head/lib/libc/quad/udivdi3.c
  head/lib/libc/quad/umoddi3.c
  head/lib/libc/quad/xordi3.c